## UIM Get Configuration request UIM Get Configuration request |

## Functions

QmiMessageUimGetConfigurationInput * | qmi_message_uim_get_configuration_input_new ()
QmiMessageUimGetConfigurationInput * | qmi_message_uim_get_configuration_input_ref ()
void | qmi_message_uim_get_configuration_input_unref ()
gboolean | qmi_message_uim_get_configuration_input_get_configuration_mask ()
gboolean | qmi_message_uim_get_configuration_input_set_configuration_mask ()
QmiMessageUimGetConfigurationOutput * | qmi_message_uim_get_configuration_output_ref ()
void | qmi_message_uim_get_configuration_output_unref ()
gboolean | qmi_message_uim_get_configuration_output_get_result ()
gboolean | qmi_message_uim_get_configuration_output_get_automatic_selection ()
gboolean | qmi_message_uim_get_configuration_output_get_personalization_status ()
gboolean | qmi_message_uim_get_configuration_output_get_halt_subscription ()
gboolean | qmi_message_uim_get_configuration_output_get_personalization_status_other_slots ()
void | qmi_client_uim_get_configuration ()
QmiMessageUimGetConfigurationOutput * | qmi_client_uim_get_configuration_finish ()

## Types and Values

| QmiMessageUimGetConfigurationInput
| QmiMessageUimGetConfigurationOutput
| QmiMessageUimGetConfigurationOutputPersonalizationStatusElement
| QmiMessageUimGetConfigurationOutputPersonalizationStatusOtherSlotsSlotsElement

## Object Hierarchy

        GBoxed
        ├── QmiMessageUimGetConfigurationInput
        ╰── QmiMessageUimGetConfigurationOutput

## Description

## Functions

### qmi_message_uim_get_configuration_input_new ()

    QmiMessageUimGetConfigurationInput *
    qmi_message_uim_get_configuration_input_new
                                   (void);

Allocates a new QmiMessageUimGetConfigurationInput.

#### Returns

the newly created QmiMessageUimGetConfigurationInput. The returned value should be freed with `qmi_message_uim_get_configuration_input_unref()`.

Since: 1.30

### qmi_message_uim_get_configuration_input_ref ()

    QmiMessageUimGetConfigurationInput *
    qmi_message_uim_get_configuration_input_ref
                                   (QmiMessageUimGetConfigurationInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimGetConfigurationInput. |

#### Returns

the new reference to `self` .

Since: 1.30

### qmi_message_uim_get_configuration_input_unref ()

    void
    qmi_message_uim_get_configuration_input_unref
                                   (QmiMessageUimGetConfigurationInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimGetConfigurationInput. |

Since: 1.30

### qmi_message_uim_get_configuration_input_get_configuration_mask ()

    gboolean
    qmi_message_uim_get_configuration_input_get_configuration_mask
                                   (QmiMessageUimGetConfigurationInput *self,
                                    QmiUimConfiguration *value_configuration_mask,
                                    GError **error);

Get the 'Configuration Mask' field from `self` .

#### Parameters

self | a QmiMessageUimGetConfigurationInput. |
value_configuration_mask | a placeholder for the output QmiUimConfiguration, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_uim_get_configuration_input_set_configuration_mask ()

    gboolean
    qmi_message_uim_get_configuration_input_set_configuration_mask
                                   (QmiMessageUimGetConfigurationInput *self,
                                    QmiUimConfiguration value_configuration_mask,
                                    GError **error);

Set the 'Configuration Mask' field in the message.

#### Parameters

self | a QmiMessageUimGetConfigurationInput. |
value_configuration_mask | a QmiUimConfiguration. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_uim_get_configuration_output_ref ()

    QmiMessageUimGetConfigurationOutput *
    qmi_message_uim_get_configuration_output_ref
                                   (QmiMessageUimGetConfigurationOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimGetConfigurationOutput. |

#### Returns

the new reference to `self` .

Since: 1.30

### qmi_message_uim_get_configuration_output_unref ()

    void
    qmi_message_uim_get_configuration_output_unref
                                   (QmiMessageUimGetConfigurationOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimGetConfigurationOutput. |

Since: 1.30

### qmi_message_uim_get_configuration_output_get_result ()

    gboolean
    qmi_message_uim_get_configuration_output_get_result
                                   (QmiMessageUimGetConfigurationOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageUimGetConfigurationOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.30

### qmi_message_uim_get_configuration_output_get_automatic_selection ()

    gboolean
    qmi_message_uim_get_configuration_output_get_automatic_selection
                                   (QmiMessageUimGetConfigurationOutput *self,
                                    gboolean *value_automatic_selection,
                                    GError **error);

Get the 'Automatic Selection' field from `self` .

#### Parameters

self | a QmiMessageUimGetConfigurationOutput. |
value_automatic_selection | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_uim_get_configuration_output_get_personalization_status ()

    gboolean
    qmi_message_uim_get_configuration_output_get_personalization_status
                                   (QmiMessageUimGetConfigurationOutput *self,
                                    GArray **value_personalization_status,
                                    GError **error);

Get the 'Personalization Status' field from `self` .

#### Parameters

self | a QmiMessageUimGetConfigurationOutput. |
value_personalization_status | a placeholder for the output GArray of QmiMessageUimGetConfigurationOutputPersonalizationStatusElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type QmiMessageUimGetConfigurationOutputPersonalizationStatusElement][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_uim_get_configuration_output_get_halt_subscription ()

    gboolean
    qmi_message_uim_get_configuration_output_get_halt_subscription
                                   (QmiMessageUimGetConfigurationOutput *self,
                                    gboolean *value_halt_subscription,
                                    GError **error);

Get the 'Halt Subscription' field from `self` .

#### Parameters

self | a QmiMessageUimGetConfigurationOutput. |
value_halt_subscription | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_uim_get_configuration_output_get_personalization_status_other_slots ()

    gboolean
    qmi_message_uim_get_configuration_output_get_personalization_status_other_slots
                                   (QmiMessageUimGetConfigurationOutput *self,
                                    GArray **value_personalization_status_other_slots,
                                    GError **error);

Get the 'Personalization Status Other Slots' field from `self` .

#### Parameters

self | a QmiMessageUimGetConfigurationOutput. |
value_personalization_status_other_slots | a placeholder for the output GArray of GArray * elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type GArray][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_client_uim_get_configuration ()

    void
    qmi_client_uim_get_configuration (QmiClientUim *self,
                                      QmiMessageUimGetConfigurationInput *input,
                                      guint timeout,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously sends a Get Configuration request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_uim_get_configuration_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientUim. |
input | a QmiMessageUimGetConfigurationInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.30

### qmi_client_uim_get_configuration_finish ()

    QmiMessageUimGetConfigurationOutput *
    qmi_client_uim_get_configuration_finish
                                   (QmiClientUim *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_uim_get_configuration()`.

#### Parameters

self | a QmiClientUim. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_uim_get_configuration()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageUimGetConfigurationOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_uim_get_configuration_output_unref()`.

Since: 1.30

## Types and Values

### QmiMessageUimGetConfigurationInput

    typedef struct _QmiMessageUimGetConfigurationInput QmiMessageUimGetConfigurationInput;

The QmiMessageUimGetConfigurationInput structure contains private data and should only be accessed using the provided API.

Since: 1.30

### QmiMessageUimGetConfigurationOutput

    typedef struct _QmiMessageUimGetConfigurationOutput QmiMessageUimGetConfigurationOutput;

The QmiMessageUimGetConfigurationOutput structure contains private data and should only be accessed using the provided API.

Since: 1.30

### QmiMessageUimGetConfigurationOutputPersonalizationStatusElement

    typedef struct {
        QmiUimCardApplicationPersonalizationFeature feature;
        guint8 verify_left;
        guint8 unblock_left;
    } QmiMessageUimGetConfigurationOutputPersonalizationStatusElement;

A QmiMessageUimGetConfigurationOutputPersonalizationStatusElement struct.

#### Members

QmiUimCardApplicationPersonalizationFeature `feature`; | a QmiUimCardApplicationPersonalizationFeature. |
guint8 `verify_left`; | a guint8. |
guint8 `unblock_left`; | a guint8. |

Since: 1.30

### QmiMessageUimGetConfigurationOutputPersonalizationStatusOtherSlotsSlotsElement

    typedef struct {
        QmiUimCardApplicationPersonalizationFeature feature;
        guint8 verify_left;
        guint8 unblock_left;
    } QmiMessageUimGetConfigurationOutputPersonalizationStatusOtherSlotsSlotsElement;

A QmiMessageUimGetConfigurationOutputPersonalizationStatusOtherSlotsSlotsElement struct.

#### Members

QmiUimCardApplicationPersonalizationFeature `feature`; | a QmiUimCardApplicationPersonalizationFeature. |
guint8 `verify_left`; | a guint8. |
guint8 `unblock_left`; | a guint8. |

Since: 1.30